Skip to main content
GET
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
instructions
Get Instructions
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/instructions \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Instruction settings fetched successfully",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "Customer Support",
      "instruction": "You are a helpful customer support agent...",
      "deletable": false,
      "isActive": false,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}
Temperature field will be added soon.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Response

Success

success
boolean
Example:

true

message
string
Example:

"Instruction settings fetched successfully"

data
object[]